package com.sun.image.codec.jpeg;

import java.awt.image.BufferedImage;
import java.io.IOException;
import java.awt.image.Raster;
import java.io.InputStream;

public interface JPEGImageDecoder
{
    public abstract JPEGDecodeParam getJPEGDecodeParam();
    
    public abstract void setJPEGDecodeParam(JPEGDecodeParam p0);
    
    public abstract InputStream getInputStream();
    
    public abstract Raster decodeAsRaster() throws IOException, ImageFormatException;
    
    public abstract BufferedImage decodeAsBufferedImage() throws IOException, ImageFormatException;
}
